### Struct

# Rest Param

#### Description

    struct RestParam {
      /* No available fields */
    }

No description available.

#### Constructors

###### rest_param_new_full

Create a new `RestParam` called `name` with `length` bytes of `data` as the value. `content_type` is the type of the data as a MIME type, for example “text/plain” for simple string parameters.

###### rest_param_new_string

A convience constructor to create a `RestParam` from a given UTF-8 string. The resulting `RestParam` will have a content type of “text/plain”.

###### rest_param_new_with_owner

Create a new `RestParam` called `name` with `length` bytes of `data` as the value. `content_type` is the type of the data as a MIME type, for example “text/plain” for simple string parameters.

#### Instance methods

###### rest_param_get_content

Get the content of `param`. The content should be treated as read-only and not modified in any way.

###### rest_param_get_content_length

Get the length of the content of `param`.

###### rest_param_get_content_type

Get the MIME type of the parameter. For example, basic strings have the MIME type “text/plain”.

###### rest_param_get_file_name

Get the original file name of the parameter, if one is available.

###### rest_param_get_name

Get the name of the parameter.

###### rest_param_is_string

Determine if the parameter is a string value, i.e. the content type is “text/plain”.

###### rest_param_ref

Increase the reference count on `param`.

###### rest_param_unref

Decrease the reference count on `param`, destroying it if the reference count reaches 0.